<?php

namespace Drupal\eca_condition\EventSubscriber;

use Drupal\eca\EventSubscriber\EcaBase;
use Drupal\eca_condition\Plugin\ECA\Event\ECAConditionEvent;

/**
 * ECA config event subscriber.
 */
class ECAConditionSubscriber extends EcaBase {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents(): array {
    $events = [];
    foreach (ECAConditionEvent::definitions() as $definition) {
      $priority = 0;
      $events[$definition['event_name']][] = ['onEvent', $priority];
    }
    return $events;
  }

}
